> For the complete documentation index, see [llms.txt](https://docs.cebodtelecom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-recordcall-greater-than.md).

# \<recordcall>

**Role:** \<recordcall> allows the developer the record complete call. This verb will start recording of the call without caller or callee knowing about it. (Follow you local regulation on recording the call, some states require you to let the caller know if the call will/my be recorded ).

**Use:**&#x20;

* *Quality Control –* Recording the call for quality and training purpose is the most common use.

### Attributes

Recordcall does not require any attributes. Url will be included to download the recording once the call completes.

#### Here is an example of how \<recordcall> is used within code.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
         <Say>This call may be recorded for quality and training purpose.</Say> 
         <recordcall>on</recordcall>
 </Response>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-recordcall-greater-than.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
